# Generated by Django 4.2.1 on 2023-11-02 11:20

import common.models
from django.db import migrations, models
import uuid

def generate_unique_key():
    return str(uuid.uuid4())

def set_unique_api_keys(apps, schema_editor):
    Org = apps.get_model('common', 'Org')
    for org in Org.objects.all():
        org.api_key = generate_unique_key()
        org.save()


class Migration(migrations.Migration):

    dependencies = [
        ('common', '0005_org_api_key'),
    ]

    operations = [
        migrations.RunPython(set_unique_api_keys),
        migrations.AlterField(
            model_name='org',
            name='api_key',
            field=models.TextField(default=common.models.generate_unique_key, editable=False, unique=True),
        ),
    ]
